summaryrefslogtreecommitdiff
path: root/dev-python/beaker/beaker-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/beaker/beaker-9999.ebuild')
-rw-r--r--dev-python/beaker/beaker-9999.ebuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/beaker/beaker-9999.ebuild b/dev-python/beaker/beaker-9999.ebuild
new file mode 100644
index 00000000..5c979c93
--- /dev/null
+++ b/dev-python/beaker/beaker-9999.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-python/beaker/beaker-1.6.4-r1.ebuild,v 1.9 2013/09/05 18:46:46 mgorny Exp $
+
+EAPI=5
+
+# py2.5 seems to have db problems
+# pypy random exceptions, someone should take a closer look, it may
+# be just the usual test suite overload
+# py3.3 unfit with some types
+PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} )
+
+inherit distutils-r1 git-r3
+
+MY_PN="Beaker"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A Session and Caching library with WSGI Middleware"
+HOMEPAGE="http://beaker.groovie.org/ http://pypi.python.org/pypi/Beaker"
+#SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+EGIT_REPO_URI="https://github.com/bbangert/beaker.git"
+
+LICENSE="BSD"
+SLOT="0"
+#KEYWORDS="~alpha amd64 ~arm ~hppa ia64 ppc ~ppc64 s390 sh sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="test"
+
+# webtest-based tests are skipped when webtest is not installed
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/webtest[$(python_gen_usedep python{2_6,2_7,3_2,3_3})] )"
+RDEPEND=""
+
+#S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ # Workaround for http://bugs.python.org/issue11276.
+ sed -e "s/import anydbm/& as anydbm/;/import anydbm/a dbm = anydbm" \
+ -i beaker/container.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ cp -r -l tests "${BUILD_DIR}"/ || die
+
+ if [[ ${EPYTHON} == python3.* ]]; then
+ # Notes:
+ # -W is not supported by python3.1
+ # -n causes Python to write into hardlinked files
+ 2to3 --no-diffs -w "${BUILD_DIR}"/tests || die
+ fi
+
+ cd "${BUILD_DIR}"/tests || die
+ nosetests || die "Tests fail with ${EPYTHON}"
+}